Skip to main content
GET
/
v1
/
legal-contracts
/
{id}
/
relations
Get legal contract relations
curl --request GET \
  --url https://api.example.com/v1/legal-contracts/{id}/relations
{
  "processes": [
    {
      "id": "<string>",
      "n": "<string>",
      "s": [
        {
          "n": "<string>",
          "pns": [
            "<string>"
          ],
          "p": [
            {
              "n": "<string>",
              "t": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "entities": [
    {
      "id": "<string>",
      "n": "<string>",
      "p": [
        {
          "n": "<string>",
          "t": "<string>"
        }
      ]
    }
  ],
  "validations": [
    {
      "id": "<string>",
      "name": "<string>",
      "entityId": "<string>",
      "rules": [
        {
          "and": [
            {
              "value": "<string>",
              "compareToValue": "<string>",
              "entityParameterComparator": "<unknown>",
              "operator": {
                "value": "<string>",
                "label": "<string>"
              },
              "entity": {
                "value": "<string>"
              },
              "parameter": {
                "value": "<string>",
                "label": "<string>"
              }
            }
          ]
        }
      ],
      "orgPolicies": [
        {
          "policyId": "<string>",
          "policy": "<string>",
          "roles": [
            "<string>"
          ]
        }
      ]
    }
  ]
}

Path Parameters

id
string
required

Response

200 - application/json

ok

processes
object[]
entities
object[]
validations
object[]